<?php

namespace idoit\Component\Browser;

interface FilterInterface
{
    /**
     * Parameter setter.
     *
     * @param mixed $parameter
     *
     * @return $this
     */
    public function setParameter($parameter);

    /**
     * Parameter getter.
     *
     * @return mixed
     */
    public function getParameter();

    /**
     * Method for retrieving a query condition by a provided parameter.
     *
     * @return string
     */
    public function getQueryCondition();

    /**
     * Method for filtering the result.
     *
     * @return boolean
     */
    public function filterVisitor();
}